com.mapinfo.midev.index.rtree

## Class RTreeCursor

- java.lang.Object
- - com.mapinfo.midev.index.rtree.RTreeCursor

    public class RTreeCursor
    extends Object

A r-tree cursor to help search the r-tree index based on a specified search criteria which is represented by a `IRTreeEnvelopeSearch` instance. The search is from left-right and bottom to top.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()` Checks if this cursor has more data items available.
`Object` `next()` Gets the next data item

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public boolean hasNext()

Checks if this cursor has more data items available.

Returns:
  true if this cursor has more more data items.

#### next

    public Object next()

Gets the next data item

Returns:
  a user-defined object stored in the leaf node.
Throws:
  `NoSuchElementException` - if this cursor has no more data items.